Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface ColorMatrixRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  ColorMatrixRable8Bit

    public interface ColorMatrixRable

extends FilterColorInterpolation

Defines the interface expected from a color matrix operation

Field Summary
`static int` | `TYPE_HUE_ROTATE`
`static int` | `TYPE_LUMINANCE_TO_ALPHA`
`static int` | `TYPE_MATRIX` Identifier used to refer to predefined matrices
`static int` | `TYPE_SATURATE`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`float[][]` | `getMatrix()` Returns the rows of the color matrix.
`Filter` | `getSource()` Returns the source to be offset.
`int` | `getType()` Returns the type of this color matrix.
`void` | `setSource(Filter src)` Sets the source to be offset.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### TYPE_MATRIX

    static final int TYPE_MATRIX

  Identifier used to refer to predefined matrices

  See Also:
    Constant Field Values

### TYPE_SATURATE

    static final int TYPE_SATURATE

See Also:
  Constant Field Values

### TYPE_HUE_ROTATE

    static final int TYPE_HUE_ROTATE

See Also:
  Constant Field Values

### TYPE_LUMINANCE_TO_ALPHA

    static final int TYPE_LUMINANCE_TO_ALPHA

See Also:
  Constant Field Values

Method Detail

### getSource

    Filter getSource()

  Returns the source to be offset.

### setSource

    void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### getType

    int getType()

  Returns the type of this color matrix.

  Returns:
    one of TYPE_MATRIX, TYPE_SATURATE, TYPE_HUE_ROTATE, TYPE_LUMINANCE_TO_ALPHA

### getMatrix

    float[][] getMatrix()

  Returns the rows of the color matrix. This uses the same convention as BandCombineOp.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.